import type { EventEmitter } from '../../../stencil-public-runtime';
import { ProviderTypeEnum } from "../../../types/provider.types";
import type { IEventBus } from "../../../utils/EventBus";
export declare class UnlockPanel {
    private eventBus;
    hostElement: HTMLElement;
    isOpen: boolean;
    allowedProviders?: ProviderTypeEnum[];
    close: EventEmitter;
    login: EventEmitter<{
        provider: ProviderTypeEnum;
        anchor?: HTMLElement;
    }>;
    isLoggingIn: boolean;
    isIntroScreenVisible: boolean;
    selectedMethod: ProviderTypeEnum | null;
    hasSlotContent: boolean;
    panelState: {
        isOpen: boolean;
        allowedProviders: ProviderTypeEnum[];
    };
    getEventBus(): Promise<IEventBus>;
    handleIsOpenChange(newValue: boolean): void;
    handleAllowedProvidersChange(newValue?: ProviderTypeEnum[]): void;
    private isExtensionInstalled;
    private isMetaMaskInstalled;
    private anchor;
    private observer;
    disconnectedCallback(): Promise<unknown>;
    private observeContainer;
    handleLogin(provider: ProviderTypeEnum): void;
    handleResetLoginState(event: MouseEvent): void;
    handleClose(event: MouseEvent): void;
    handleAccess(): void;
    render(): any;
    componentDidLoad(): void;
    private unlockPanelUpdate;
}
